GNU bug report logs - #21357
24.5; Daemon leaves Mac OSX App open after closing GUI frame

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: random832@HIDDEN; merged with #14619; dated Wed, 26 Aug 2015 23:39:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 14619 21357. Request was from Random832 <random832@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21357 <at> debbugs.gnu.org:


Received: (at 21357) by debbugs.gnu.org; 3 Nov 2015 16:04:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 03 11:04:58 2015
Received: from localhost ([127.0.0.1]:51639 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zte4w-0002p9-G5
	for submit <at> debbugs.gnu.org; Tue, 03 Nov 2015 11:04:58 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:63176)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Zte4b-0002oe-MF
 for 21357 <at> debbugs.gnu.org; Tue, 03 Nov 2015 11:04:56 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0NX800G00XQOXH00@HIDDEN> for 21357 <at> debbugs.gnu.org;
 Tue, 03 Nov 2015 18:04:35 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NX800GPSXZMN160@HIDDEN>;
 Tue, 03 Nov 2015 18:04:34 +0200 (IST)
Date: Tue, 03 Nov 2015 18:04:49 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21357: Bug #21357 is a duplicate of #14619
In-reply-to: <87pozr8531.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Random832 <random832@HIDDEN>
Message-id: <83611jvzku.fsf@HIDDEN>
References: <1440632150.3684.367076905.44E7CC0C@HIDDEN>
 <87pozr8531.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21357
Cc: 21357 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Random832 <random832@HIDDEN>
> Date: Tue, 03 Nov 2015 10:39:46 -0500
> 
> 
> Sorry about this, I had not found the original bug when I searched
> before reporting the bug.

No need to apologize, but please do merge them.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21357; Package emacs. Full text available.

Message received at 21357 <at> debbugs.gnu.org:


Received: (at 21357) by debbugs.gnu.org; 3 Nov 2015 15:40:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 03 10:40:31 2015
Received: from localhost ([127.0.0.1]:51617 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZtdhF-0002CR-Nl
	for submit <at> debbugs.gnu.org; Tue, 03 Nov 2015 10:40:30 -0500
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:37526)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <random832@HIDDEN>) id 1Ztdgu-0002By-V6
 for 21357 <at> debbugs.gnu.org; Tue, 03 Nov 2015 10:40:27 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 2C09E20D0E
 for <21357 <at> debbugs.gnu.org>; Tue,  3 Nov 2015 10:40:08 -0500 (EST)
Received: from frontend2 ([10.202.2.161])
 by compute2.internal (MEProxy); Tue, 03 Nov 2015 10:40:08 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=fastmail.com; h=
 content-type:date:from:message-id:mime-version:subject:to
 :x-sasl-enc:x-sasl-enc; s=mesmtp; bh=Y+jQ7nMGgPjJDtPszD0/PA+lbMQ
 =; b=wkXmwdhhld0XyFU8HZbLXe0E6yvxsB58HztAHTpp3tvsKTm0aIRR+f6G07H
 1KImkBgPivXdtFtolvyMslHvjiVP6CaI02pdJL7FpMwU0yP6VQy9rW+8gWJfi2Y3
 WxEQzTpoJKWSydXNfqTs5feqiSUJEEMFMHWYJnZgXu4hXzX4=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-sasl-enc:x-sasl-enc; s=smtpout; bh=Y+
 jQ7nMGgPjJDtPszD0/PA+lbMQ=; b=izeNgb7gUW+gFH64X5UjwhcfE4EmeB3Edr
 xmhvMF/8y3naEZJzt81A4gapyT8RYuT+kS5ehRcd/7ZMfkr+/ZHrJGsCslKolOS+
 sJ3KsXx4iRTKgxC1L75CrhBW0m61I5Q1WOm/ycxSYVfU7HGZVkDz0kPVmxV4el0I
 Lsv+jUgUk=
X-Sasl-enc: icFmhOPbouvNJNPtIYJmwbF/xVRNq3o9l44sYO1GiZQE 1446565207
Received: from Kogasa (c-68-39-146-59.hsd1.in.comcast.net [68.39.146.59])
 by mail.messagingengine.com (Postfix) with ESMTPA id B741F680238
 for <21357 <at> debbugs.gnu.org>; Tue,  3 Nov 2015 10:40:07 -0500 (EST)
From: Random832 <random832@HIDDEN>
To: 21357 <at> debbugs.gnu.org
Subject: Bug #21357 is a duplicate of #14619
Date: Tue, 03 Nov 2015 10:39:46 -0500
Message-ID: <87pozr8531.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 21357
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)


Sorry about this, I had not found the original bug when I searched
before reporting the bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21357; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Aug 2015 23:38:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 26 19:38:20 2015
Received: from localhost ([127.0.0.1]:39352 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZUkGp-0007wo-5J
	for submit <at> debbugs.gnu.org; Wed, 26 Aug 2015 19:38:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48295)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <random832@HIDDEN>) id 1ZUkEZ-0007sC-OL
 for submit <at> debbugs.gnu.org; Wed, 26 Aug 2015 19:36:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <random832@HIDDEN>) id 1ZUkEY-0006IJ-5q
 for submit <at> debbugs.gnu.org; Wed, 26 Aug 2015 19:35:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53475)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <random832@HIDDEN>) id 1ZUkEY-0006IF-38
 for submit <at> debbugs.gnu.org; Wed, 26 Aug 2015 19:35:58 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58294)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <random832@HIDDEN>) id 1ZUkEW-0005rL-S0
 for bug-gnu-emacs@HIDDEN; Wed, 26 Aug 2015 19:35:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <random832@HIDDEN>) id 1ZUkES-0006Gy-JQ
 for bug-gnu-emacs@HIDDEN; Wed, 26 Aug 2015 19:35:56 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:56612)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <random832@HIDDEN>) id 1ZUkES-0006GW-9N
 for bug-gnu-emacs@HIDDEN; Wed, 26 Aug 2015 19:35:52 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id B356922363
 for <bug-gnu-emacs@HIDDEN>; Wed, 26 Aug 2015 19:35:50 -0400 (EDT)
Received: from web2 ([10.202.2.212])
 by compute1.internal (MEProxy); Wed, 26 Aug 2015 19:35:50 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=fastmail.com; h=
 content-transfer-encoding:content-type:date:from:message-id
 :mime-version:subject:to:x-sasl-enc:x-sasl-enc; s=mesmtp; bh=CF4
 uehQubzYsgNIA5HNlDtUSzv8=; b=g8JCT/rB/7xVHPLdWPKdBquvxq6h4CvaNJs
 lsTzq2mZT1XCua13sZUbkyCl4rpObGsIwMX5mJyE60Ua9zhV6LnnjWEFMOOTLC6n
 UyY7+DwnW14UkYahbZ7Jd4UN7T0ByzvVjM+SfuVG/m7KdFF8LkJwpGIQZM0pksG8
 4lmSPyAs=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:message-id:mime-version:subject:to:x-sasl-enc
 :x-sasl-enc; s=smtpout; bh=CF4uehQubzYsgNIA5HNlDtUSzv8=; b=q2vI8
 53tloDtsvUX/FV59xjNvkxGracWn2kd2y6Mn2+zTZE4PlZ/MhvA377tLExe2gCOn
 qwkcpGNS58KPMio/k9PxsmJl21UZK8qSwFcss9H1J7khzxy5NexyAIZjAmnlsOi9
 3k4mT2X5Np0xutfU+9gzsbWY64VszKfBp/79bk=
Received: by web2.nyi.internal (Postfix, from userid 99)
 id 75EA7540075; Wed, 26 Aug 2015 19:35:50 -0400 (EDT)
Message-Id: <1440632150.3684.367076905.44E7CC0C@HIDDEN>
X-Sasl-Enc: YqacmzDsJ65vPRX37yMsKO+AAk+WvLydek/cu+pQtcHr 1440632150
From: random832@HIDDEN
To: bug-gnu-emacs@HIDDEN
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain
X-Mailer: MessagingEngine.com Webmail Interface - ajax-4500bf93
Subject: 24.5; Daemon leaves Mac OSX App open after closing GUI frame
Date: Wed, 26 Aug 2015 19:35:50 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 26 Aug 2015 19:38:17 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

If I have Emacs (OSX App) started in daemon mode, and then create a
GUI frame, e.g. emacsclient -c, an instance of Emacs.app starts,
which then does not go away when the frame is closed with C-x C-c.
Most menu items, even ones such as "New Frame (C-x 5 2)" that seem
like they should make sense without a frame, are unresponsive.

The app is also unable to respond to s-q, though it does respond to the
"Quit Emacs (Command-Q)" item in the App menu, which C-h k shows
as sending <ns-power-off> rather than a <menu-bar> sequence.

I'm not sure what behavior should be expected here. In order of my
personal preference:

1. Keep the app open, and most menu commands should open a new
   frame.

2. Somehow (is this possible?) close the app instance without shutting
   down the daemon process, when there are no frames.

3. Somehow create a separate app instance for each emacsclient -c
   process.

In GNU Emacs 24.5.1 (x86_64-apple-darwin13.4.0, NS apple-appkit-1265.21)
 of 2015-04-10 on builder10-9.porkrind.org
Windowing system distributor `Apple', version 10.3.1344
Configured using:
 `configure --with-ns '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Starting Emacs daemon.
When done with this frame, type C-x 5 0

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils server time-date tooltip electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel ns-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
cocoa ns multi-tty emacs)

Memory information:
((conses 16 72471 4238)
 (symbols 48 17293 0)
 (miscs 40 43 140)
 (strings 32 10183 4263)
 (string-bytes 1 271546)
 (vectors 16 9219)
 (vector-slots 8 376271 16268)
 (floats 8 57 68)
 (intervals 56 173 0)
 (buffers 960 12))




Acknowledgement sent to random832@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21357; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 3 Nov 2015 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.